## org.exist.dom
Interface NodeIndexListener

All Known Implementing Classes:
  NullNodeIndexListener

public interface NodeIndexListener

This interface is used to report changes of the node id or the storage address of a node to classes which have to keep node sets up to date during processing. Used by the XUpdate classes to update the query result sets.

Author:
  wolf

Method Summary
`void` `nodeChanged(StoredNode node)` The internal id of a node has changed.

Method Detail

### nodeChanged

    public void nodeChanged(StoredNode node)

  The internal id of a node has changed. The storage address is still the same, so one can find the changed node by comparing its storage address.

  Parameters:
    `node` -

Copyright (C) Wolfgang Meier. All rights reserved.